
#include <Spectre/Graphics/Vertex2D.h>

Vertex2D::Vertex2D() :
position	(0.0f),
color		(1.0f),
uv		(0.0f)
{
}

Vertex2D::Vertex2D(Vector2f _pos) :
position	(_pos),
color		(1.0f),
uv		(0.0f)
{
}

Vertex2D::Vertex2D(Vector2f _pos, Vector2f _uv) :
position	(_pos),
color		(1.0f),
uv		(_uv)
{
}

Vertex2D::Vertex2D(Vector2f _pos, Vector4f _color, Vector2f _uv) :
position	(_pos),
color		(_color),
uv		(_uv)
{
}
